VectorLinux

Cooking up the Treats => New Package Requests => Topic started by: Toe on May 20, 2007, 01:33:23 am

Title: Scorched 3D
Post by: Toe on May 20, 2007, 01:33:23 am
http://www.scorched3d.co.uk/

Anybody remember the old DOS game Scorched Earth?  This is a 3D remake of it.  Fans of Worms will probably like this too, as much of Worms was inspired by Scorched Earth.  I think this is better than the recent 3D versions of Worms.

There's a Slackware package on their webpage, but it's pretty outdated.  I tried building it myself, but I ran into problems.  I think it was a library not being where it was expected (my troubleshooting with this stuff is pretty limited).
Title: Re: Scorched 3D
Post by: nightflier on May 20, 2007, 04:49:47 am
Yeah, I used this one to test 3D performance of my video cards. It requires arts, which is in the repo, as well as wxall, which I don't remember where I found. It's a little flaky, some times I had to turn off sound before it would run.
Title: Re: Scorched 3D
Post by: Joe1962 on May 21, 2007, 08:49:59 pm
Had this pretty much ready for a couple of days, except it wouldn't show up on the darned menu. After trying everything I could think of, it finally dawned on me that I was building in the SOHO 5.8 RC3.9 vm and that RC had reported issues with not showing newly installed packages in the menu... >:(

Anyway, here it is finally, in the 5.8 testing repo, together with the freealut dependency which was not in our repo. I was surprised that this was the only thing extra required, specially after reading the deps on their website. Installing the game with gslapt or slapt-get should also install openal and freealut. Let me know if the menu item doesn't show up for you, as I am unable to test on another release for the time being.

http://www.vectorlinux.com/forum2/index.php?topic=3084.msg18849#msg18849
Title: Re: Scorched 3D
Post by: Toe on May 22, 2007, 03:33:44 am
I get a dependency failure trying to grab it via Gslapt on 5.8std:

scorched3d: Depends: freetype-2.3.4 >=i486

Looks like the VL repo only has 2.1.9.  I grabbed 2.3.4 from Slackware's repo, but it still complains.
Title: Re: Scorched 3D
Post by: Joe1962 on May 22, 2007, 04:53:02 am
Damn! Guess this was one of the things updated for SOHO... >:(. Can't find it on the repo, so somebody else should chime in here. Guess I'd better go back to packaging on Standard. That said, install the game and freealut manually, then test it. It just might run with your version of freetype.
Title: Re: Scorched 3D
Post by: Toe on May 22, 2007, 04:59:36 am
Gee, wouldn't it be nice if all the packages on the install ISOs were also available in the repos?  :P
Title: Re: Scorched 3D
Post by: Joe1962 on May 22, 2007, 05:55:21 am
Heh, that's how it's supposed to be, but I guess the work for SOHO overloaded the repo maintainers. Partly my fault, as I'm one of them, but I've been on a reduced involvement mode for a few months due to a dead laptop and now increased work load.